globus_errno_error_api(3)

NAME
globus_errno_error_api - Globus Errno Error API

 - Globus Errno Error API.

SYNOPSIS

  Topics

Error Construction
Error Construction.
Error Data Accessors and Modifiers
Error Data Accessors and Modifiers.
Error Handling Helpers
Error Handling Helpers.

Detailed Description

Globus Errno Error API.

These globus_error functions are motivated by the desire to provide a easier way of generating new error types, while at the same time preserving all features (e.g. memory management, chaining) of the current error handling framework. The functions in this API are auxiliary to the function in the Globus Generic Error API in the sense that they provide a wrapper for representing system errors in terms of a globus_error_t.

Any program that uses Globus Errno Error functions must include "globus_common.h".

Author

Generated automatically by Doxygen for globus_common from the source code.